/**
 * Copyright &copy; 2015-2020 <a href="http://www.jeeplus.org/">JeePlus</a> All rights reserved.
 */
package com.jeeplus.modules.workcontent.entity;


import com.jeeplus.common.persistence.DataEntity;
import com.jeeplus.common.utils.excel.annotation.ExcelField;

/**
 * 资料管理Entity
 * @author ssrh
 * @version 2018-06-06
 */
public class WorkContentDocument extends DataEntity<WorkContentDocument> {
	
	private static final long serialVersionUID = 1L;
	private String projectId;		// 项目id
	private String contentId;		// 工作内容ID
	private String name;		// 资料名称
	private String status;		// 资料状态
	private String manager;		// 资料保管人
	private String style;		// 资料格式
	private String isElec;		// 是否电子化
	private String docType;		// 资料类别
	
	public WorkContentDocument() {
		super();
	}

	public WorkContentDocument(String id){
		super(id);
	}

	@ExcelField(title="项目id", align=2, sort=7)
	public String getProjectId() {
		return projectId;
	}

	public void setProjectId(String projectId) {
		this.projectId = projectId;
	}
	
	@ExcelField(title="工作内容ID", align=2, sort=8)
	public String getContentId() {
		return contentId;
	}

	public void setContentId(String contentId) {
		this.contentId = contentId;
	}
	
	@ExcelField(title="资料名称", align=2, sort=9)
	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}
	
	@ExcelField(title="资料状态", dictType="", align=2, sort=10)
	public String getStatus() {
		return status;
	}

	public void setStatus(String status) {
		this.status = status;
	}
	
	@ExcelField(title="资料保管人", align=2, sort=11)
	public String getManager() {
		return manager;
	}

	public void setManager(String manager) {
		this.manager = manager;
	}
	
	@ExcelField(title="资料格式", dictType="", align=2, sort=12)
	public String getStyle() {
		return style;
	}

	public void setStyle(String style) {
		this.style = style;
	}
	
	@ExcelField(title="是否电子化", dictType="", align=2, sort=13)
	public String getIsElec() {
		return isElec;
	}

	public void setIsElec(String isElec) {
		this.isElec = isElec;
	}
	
	@ExcelField(title="资料类别", dictType="", align=2, sort=14)
	public String getDocType() {
		return docType;
	}

	public void setDocType(String docType) {
		this.docType = docType;
	}
	
}